## ros-lunar-ecl-config 0.61.6

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(ecl_config)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS ecl_build)
file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/include)
catkin_package(
	INCLUDE_DIRS include ${CATKIN_DEVEL_PREFIX}/include
	)

##############################################################################
# ECL Configuration
##############################################################################

ecl_detect_platform()
include_directories(${CATKIN_DEVEL_PREFIX}/include)

##############################################################################
# Actual project configuration
##############################################################################

include_directories(${catkin_INCLUDE_DIRS})

add_subdirectory(include)
add_subdirectory(src)

=== src/test/CMakeLists.txt ===
###############################################################################
# GTEST SETUP
###############################################################################

catkin_add_gtest(test_char_sign char_sign.cpp)
catkin_add_gtest(test_endianness endianness.cpp)
catkin_add_gtest(test_portable_types portable_types.cpp)

=== src/utilities/CMakeLists.txt ===
###############################################################################
# SETUP
###############################################################################

add_executable(ecl_detect_endian detect_endian.cpp)
set_target_properties(ecl_detect_endian PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION})
install(TARGETS ecl_detect_endian RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}) 

if(NOT MSVC)
  add_executable(ecl_detect_posix detect_posix.cpp)
  set_target_properties(ecl_detect_posix PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION})
  install(TARGETS ecl_detect_posix RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
endif()

=== include/ecl/config/CMakeLists.txt ===
###############################################################################
# GENERATE HEADERS
#
# The cmake/project_generate_headers.cmake makes sure you have ecl.hpp built
# first.
###############################################################################

###################################
# Platform
###################################

IF(APPLE)
  SET(ECL_IS_APPLE 1)
ENDIF()
IF(PLATFORM_IS_POSIX)
  SET(ECL_IS_POSIX 1)
ENDIF()
IF(WIN32)
  SET(ECL_IS_WIN32 1)
ENDIF()

###################################
# Threads
###################################

IF( ECL_PLATFORM_HAS_POSIX_THREADS ) 
  SET(ECL_HAS_POSIX_THREADS 1)
ELSEIF( ECL_PLATFORM_HAS_WIN32_THREADS ) 
  SET(ECL_HAS_WIN32_THREADS 1)
ENDIF() 

###################################
# TYPES
###################################

SET(ECL_SIZE_OF_CHAR ${PLATFORM_SIZE_OF_CHAR})
SET(ECL_SIZE_OF_SHORT ${PLATFORM_SIZE_OF_SHORT})
SET(ECL_SIZE_OF_INT ${PLATFORM_SIZE_OF_INT})
SET(ECL_SIZE_OF_LONG ${PLATFORM_SIZE_OF_LONG})
SET(ECL_SIZE_OF_LONG_LONG ${PLATFORM_SIZE_OF_LONG_LONG})
SET(ECL_SIZE_OF_FLOAT ${PLATFORM_SIZE_OF_FLOAT})
SET(ECL_SIZE_OF_DOUBLE ${PLATFORM_SIZE_OF_DOUBLE})
SET(ECL_SIZE_OF_LONG_DOUBLE ${PLATFORM_SIZE_OF_LONG_DOUBLE})
IF( PLATFORM_IS_32_BIT ) 
  SET(ECL_IS_32_BIT 1)
ELSEIF( PLATFORM_IS_64_BIT )
  SET(ECL_IS_64_BIT 1)
ENDIF( PLATFORM_IS_32_BIT )

###################################
# Library type
###################################
if(BUILD_SHARED_LIBS)
  set(ECL_HAS_SHARED_LIBS 1)
else()
  set(ECL_HAS_STATIC_LIBS 1)
endif()
  
###############################################################################
# GENERATE HEADER
###############################################################################

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ecl.hpp.in ${CATKIN_DEVEL_PREFIX}/include/ecl/config/ecl.hpp)

###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)

install(FILES ${CATKIN_DEVEL_PREFIX}/include/ecl/config/ecl.hpp DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/config)
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/config)
# If we want to supply the version number in major/minor/patch
# split version in parts and pass to extra file
#string(REPLACE "." ";" roscpp_VERSION_LIST "${roscpp_VERSION}")
#list(LENGTH roscpp_VERSION_LIST _count)
#if(NOT _count EQUAL 3)
#  message(FATAL_ERROR "roscpp version '${roscpp_VERSION}' does not match 'MAJOR.MINOR.PATCH' pattern")
#endif()
#list(GET roscpp_VERSION_LIST 0 roscpp_VERSION_MAJOR)
#list(GET roscpp_VERSION_LIST 1 roscpp_VERSION_MINOR)
#list(GET roscpp_VERSION_LIST 2 roscpp_VERSION_PATCH)

=== debian/changelog ===
ros-lunar-ecl-config (0.61.6-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 07 Aug 2017 04:02:20 -0000

ros-lunar-ecl-config (0.61.4-0stretch) stretch; urgency=high

  * macro for use with checking for CXX11

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 10 Jan 2016 05:00:00 -0000

ros-lunar-ecl-config (0.61.3-0stretch) stretch; urgency=high

  * deprecation macro for clang.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 06 Jan 2016 05:00:00 -0000

ros-lunar-ecl-config (0.60.1-0stretch) stretch; urgency=high

  * update to catkin's CFG_EXTRAS for easy to find cmake modules.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-ecl-config
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-ecl-build, ros-lunar-ecl-license
Homepage: http://wiki.ros.org/ecl_config
Standards-Version: 3.9.2

Package: ros-lunar-ecl-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-ecl-build, ros-lunar-ecl-license
Description: These tools inspect and describe your system with macros, types and functions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-ecl-config//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
